/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 100px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  /*  text-transform: lowercase;*/
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

.invalid .el-input__wrapper {
  box-shadow: 0 0 0 1px red inset !important;
}

.el-input-group--append.invalid .el-input__wrapper {
  box-shadow: 0 0 0 1px red inset !important;
}

.level-color {
  border: 1px solid #ccc;
  width: 20px;
  height: 20px;
  display: inline-block;
  border-radius: 3px;
  margin-right: 10px;
}

.level-color-desc {
  width: calc(100% - 30px);
  display: inline-block;
}

.el-color-picker {
  display: block !important;
}

.action-col .cell {
  /*   display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-right: 0px !important;*/
}

.sub-form {
  padding: 20px;
  border: 1px solid #dcdfe6;
  border-radius: 10px;
  margin-bottom: 10px;
}

.no-padding {
  padding: 0 !important;
}

.el-alert__title {
  font-size: 0.9375rem !important;
}

.uploadcontainer > div {
  display: flex;
  align-items: center;
}

.bg-blue {
  background-color: #1a91ff !important;
}

.bg-darkblue {
  background-color: #064682 !important;
}

.bg-orange {
  background-color: #fb923c !important;
}

.bg-grey {
  background-color: #f2f2f2 !important;
  color: #222;
}

.bg-yellow {
  background-color: #e3e401 !important;
  color: #222;
}

.bg-red {
  background-color: #f20406 !important;
}

.bg-na {
  background-color: #f6f6f6 !important;
  color: rgb(196 196 196);
}

.bg-green {
  background-color: #4ade80 !important;
}

.bg-darkgreen {
  background-color: #15803d !important;
}

.el-table .warning-row td {
  background-color: #f20406 !important;
  color: #fff;
}

.el-table .cell {
  word-break: break-word !important;
}

.has-na-field {
  background-color: #f5f5f9 !important;
}

.el-table .header-issue td {
  background-color: #f5f5f9 !important;
}

.el-table .children-issue td:first-child {
  padding-left: 10px;
}

.header-issue * {
  font-weight: bold;
}

.grouped-table thead th .cell {
  text-align: center;
  font-size: 11px;
}
.grouped-table td.el-table__cell div {
  font-size: 11px;
}
.separator-cc {
  opacity: 0.5;
  margin-left: 5px;
  margin-right: 5px;
}

/* .fixed-navbar-custom {
  position: fixed;
  display: flex;
  top: 0px;
  flex: 1 0 auto;
  left: 17.9rem;
  width: calc(100% - 19.4rem) !important;
} */

/* .content-wrapper {
  padding-top: 80px;
} */

@media (max-width: 1199.98px) {
  /* .fixed-navbar-custom {
    left: 1.625rem;
  } */
}

/* .bottom-nav {
  bottom: 20px;
  top: unset;
} */

.ml-auto {
  margin-left: auto;
}

.small-text {
  font-size: 11px;
}

.always-enabled-select .el-input__inner {
  color: #606266 !important;
}

.always-enabled-select .el-input__wrapper {
  background: #fff;
}

.input-group-custom {
  display: flex;
}

.input-group-custom .el-input__wrapper {
  box-shadow: none;
  border: 1px solid #dcdfe6;
}

.input-group-custom > div:first-child > .el-input__wrapper {
  border-right: none !important;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.input-group-custom .el-select .el-input__wrapper {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.input-group-custom .el-select {
  width: 300px;
}

.no-data-graph {
  display: flex;
  position: absolute;
  width: calc(100% - 3rem);
  height: 100%;
  align-items: center;
  justify-content: center;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 1;
}

.report-image-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  width: 100%;
  /* max-width: 600px; */
  margin: 0 auto;
}

.report-image-container .image-container {
  width: 100%;
  padding-top: 100%;
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  margin-bottom: 10px;
}

.report-image-container > div {
  width: 50%;
  padding: 20px;
}
.report-image-container > div > p {
  text-align: center;
}

.switch-custom {
  margin-top: 15px;
}
.switch-custom .el-switch__label span {
  font-size: 0.75rem;
  text-transform: uppercase;
  letter-spacing: inherit;

  font-weight: 500;
  color: #566a7f;
}

@media print {
  .a4-page {
    width: 3508px;
    height: 2480px;
  }
  .a4-page .card {
    height: 100%;
  }
}

.w-100 .el-select {
  width: 100%;
}

.f-bold {
  font-weight: bold;
}

.has-child-clickable {
  cursor: pointer;
}

.has-child-clickable .cell {
  font-weight: bold;
}

.clickable {
  cursor: pointer;
  color: #1f8cf2;
  font-weight: bold;
}

.clickable .cell {
  font-weight: bold;
  color: #1f8cf2;
}

.device-model {
  display: block;
  color: #8e8e8e;
  font-size: 11px;
}

.el-loading-spinner {
  top: 10% !important;
}

@media (max-width: 1119px) {
  .el-dialog {
    width: 60% !important;
    margin: 0 auto !important;
    margin-top: 10px !important;
    margin-bottom: 10px !important;
  }
}

@media (max-width: 1057px) {
  .el-dialog {
    width: 90% !important;
    margin: 0 auto !important;
    margin-top: 10px !important;
    margin-bottom: 10px !important;
  }
}

.el-radio.el-radio--large {
  height: auto !important;
  line-height: 40px !important;
}

.timeline-item-rejection {
  /* padding-left: 10px; */
}

.timeline-item-rejection .el-timeline-item__content {
  font-size: 13px;
  color: #595959;
}

.timeline-item-rejection .el-timeline-item__timestamp.is-bottom {
  margin-top: 2px;
  font-size: 11px;
}

.timeline-item-rejection .el-timeline .el-timeline-item:last-child {
  padding-bottom: 0px;
}

.rejected-item-attachment {
  display: flex;
  margin-bottom: 10px;
  margin-top: 10px;
  gap: 12px;
}

.c-pointer {
  cursor: pointer;
}

.s-case {
  text-transform: lowercase;
}

.bold {
  font-weight: bold;
}

.layout-navbar.navbar-detached.container-xxl {
  max-width: 100%;
}

.container-xxl,
.container-xl,
.container-lg,
.container-md,
.container-sm,
.container {
  max-width: 100%;
}

.estate-logo {
  display: flex;
  align-items: center;
}

.estate-logo .el-avatar {
  margin-right: 10px;
}

.estate-logo > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex: 1;
}

.estate-trigger {
  width: 100%;
}

.estate-trigger .el-tooltip__trigger {
  width: 100%;
}

.estate-logo > div > section > div {
  white-space: nowrap;
  overflow: hidden;
  width: 106px;
  text-overflow: ellipsis;
  font-weight: bold;
  font-size: 14px;
}

.estate-logo > div > section > span {
  font-size: 11px;
  opacity: 0.7;
  margin-top: 5px;
  display: inline-block;
}

.el-alert__description {
  word-break: break-word !important;
}

.select-location-dropdown {
  /* background-color: red; */
}

.select-location-dropdown label {
  margin-bottom: 10px;
  display: block;
  color: #fff;
}

.bottom-location-selector {
  position: fixed !important;
  bottom: 0px !important;
  width: 100% !important;
  z-index: 999 !important;
  left: 0px !important;
}

.bottom-location-selector .el-select {
  min-width: 250px;
}

.select-location-dropdown {
  /* display: flex;
  gap: 10px;
  align-items: center; */
}

.bottom-location-selector .layout-navbar {
  height: auto !important;

  padding-top: 20px;
  padding-bottom: 20px;

  box-shadow: none;
  border-radius: 0px;

  background-color: #343434 !important;
}

.bottom-location-selector .ml-auto {
  display: flex;
  flex-wrap: nowrap;
}
